@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 300;
  font-display: auto;
  unicode-range: U+000-5FF;
  src:
    local("Roboto"),
    url('../fonts/Roboto-Light.woff2') format('woff2'),
    url('../fonts/Roboto-Light.woff') format('woff'),
    url('../fonts/Roboto-Light.ttf') format('truetype');
}


@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  font-display: auto;
  unicode-range: U+000-5FF;
  src:
    local("Roboto"),
    url('../fonts/Roboto-Regular.woff2') format('woff2'),
    url('../fonts/Roboto-Regular.woff') format('woff'),
    url('../fonts/Roboto-Regular.ttf') format('truetype');
}

@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 500;
  font-display: auto;
  unicode-range: U+000-5FF;
  src:
    local("Roboto"),
    url('../fonts/Roboto-Medium.woff2') format('woff2'),
    url('../fonts/Roboto-Medium.woff') format('woff'),
    url('../fonts/Roboto-Medium.ttf') format('truetype');
}

@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 700;
  font-display: auto;
  unicode-range: U+000-5FF;
  src:
    local("Roboto"),
    url('../fonts/Roboto-Bold.woff2') format('woff2'),
    url('../fonts/Roboto-Bold.woff') format('woff'),
    url('../fonts/Roboto-Bold.ttf') format('truetype');
}

/*.page-enter-active, .page-leave-active {
  transition: opacity .4s;
}
.page-enter, .page-leave-active {
  opacity: 0;
}*/

* {
  box-sizing: border-box;
}

body {
  background: #051345;
  color: #242424;
  font-family: 'Roboto', sans-serif;
}

a {
  text-decoration: none;
}

.container {
  width: 100%;
  padding: 0 8px;
  margin: 0 auto;
  max-width: 1170px;
}

@media (min-width: 640px) {
  .container {
/*    max-width: 640px;*/
  }
}

@media (min-width: 768px) {
  .container {
    padding: 0 30px;
/*    max-width: 768px;*/
  }
}

@media (min-width: 1024px) {
  .container {
/*    max-width: 1024px;*/
  }
}

@media (min-width: 1280px) {
/*  .container {
    max-width: 1280px;
  }*/
}

@media (min-width: 1440px) {
  .container {
    /*max-width: 1440px;*/
  }
}

.visually-hidden:not(:focus):not(:active) {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.base-title {
  background: linear-gradient(77.9deg, #0066FF -3.83%, #2CE0C5 110.36%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.arrow-link {
  font-weight: 700;
  font-size: 16px;
  line-height: 20px;
  color: #4B66C7;
  text-transform: uppercase;
  margin: 0;
  padding-right: 35px;
  background-image: url("./assets/img/arrow.svg");
  background-position: center right 2px;
  background-repeat: no-repeat;
}

#news-carousel {
  .flickity-page-dots {
    bottom: -60px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .flickity-page-dots .dot {
    width: 12px;
    height: 12px;
    opacity: 1;
    background: #162C50;
    border: 6px solid transparent;
    transition: all 0.2s;
  }

  .flickity-page-dots .dot.is-selected {
    background: #4B66C7;
    width: 15px;
    height: 15px;
    border: 6px solid transparent;
  }
}

#solutions-carousel {
  .flickity-page-dots {
    bottom: -35px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .flickity-page-dots .dot {
    width: 12px;
    height: 12px;
    opacity: 1;
    background: #162C50;
    border: 6px solid transparent;
    transition: all 0.2s;
  }

  .flickity-page-dots .dot.is-selected {
    background: #4B66C7;
    width: 15px;
    height: 15px;
    border: 6px solid transparent;
  }
}


#crypto-carousel {

  .flickity-button {
    background: transparent;
    @media (min-width: 1200px) {
      display: none;
    }
  }
  /* big previous & next buttons */
  .flickity-prev-next-button {
    width: 50px;
    height: 50px;
  }
  /* icon color */
  .flickity-button-icon {
    fill: white;
  }

  .flickity-prev-next-button.previous {
    left: -37px;
    overflow: visible;
  }

  .flickity-prev-next-button.next {
    right: -37px;
    overflow: visible;
  }

  .flickity-page-dots {
    bottom: -40px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .flickity-page-dots .dot {
    width: 12px;
    height: 12px;
    opacity: 1;
    background: #162C50;
    border: 6px solid transparent;
    transition: all 0.2s;
  }

  .flickity-page-dots .dot.is-selected {
    background: #4B66C7;
    width: 15px;
    height: 15px;
    border: 6px solid transparent;
  }
}

#discover-list-scroll, {
  .scrollbar-track {
    background: transparent;
    width: 4px;
  }

  .scrollbar-thumb {
    width: 3px;
    background: #FFFFFF;
    opacity: 0.15;
    border-radius: 4px;
  }
}
#dropdown1,
#dropdown2,
#dropdown3,
#dropdown4{
  .scrollbar-track {
    background: #0E1B4E;
    width: 5px;
    padding: 0 1px;
  }

  .scrollbar-thumb {
    width: 3px;
    background: #FFFFFF;
    opacity: 0.15;
    border-radius: 4px;
    left: 1px;
  }
}



#getting-start-carousel {
  .dot {
    @media(min-width: 1024px) {
      display: none;
    }
  }

  .flickity-page-dots {
    bottom: -40px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .flickity-page-dots .dot {
    width: 12px;
    height: 12px;
    opacity: 1;
    background: #162C50;
    border: 6px solid transparent;
    transition: all 0.2s;
  }

  .flickity-page-dots .dot.is-selected {
    background: #4B66C7;
    width: 15px;
    height: 15px;
    border: 6px solid transparent;
  }
}

#specifications-carousel {
  position: relative;

  .flickity-page-dots {
    bottom: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    left: 75px;
    position: absolute;
    width: auto;

    @media(max-width: 767px) {
      bottom: 39px;
      left: 43px;
    }

    @media(min-width: 1024px) {
      bottom: 72px;
    }
  }

  .flickity-page-dots .dot {
    width: 12px;
    height: 12px;
    opacity: 1;
    background: #162C50;
    border: 6px solid transparent;
    transition: all 0.2s;
  }

  .flickity-page-dots .dot.is-selected {
    background: #4B66C7;
    width: 15px;
    height: 15px;
    border: 6px solid transparent;
  }
}


#otc-plans-carousel {
  .dot {
    @media(min-width: 768px) {
      display: none;
    }
  }

  .flickity-page-dots {
    bottom: -40px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .flickity-page-dots .dot {
    width: 12px;
    height: 12px;
    opacity: 1;
    background: #162C50;
    border: 6px solid transparent;
    transition: all 0.2s;
  }

  .flickity-page-dots .dot.is-selected {
    background: #4B66C7;
    width: 15px;
    height: 15px;
    border: 6px solid transparent;
  }
}
